%global forgeurl        https://github.com/dreamworksanimation
%global cmodver         1.0.0.5

%bcond tests    1

# Core Dump Fix
%global optflags %(echo '%optflags' | sed s/-Wp,-D_GLIBCXX_ASSERTIONS//)

Name:           mcrt_computation
Version:        14.36.0.0
Release:        %{autorelease}
Summary:        Implementation of MoonRay rendering via Arras

License:        Apache-2.0
URL:            https://openmoonray.org/
Source0:        %{forgeurl}/%{name}/archive/refs/tags/%{name}-%{version}.tar.gz
Source1:        %{forgeurl}/cmake_modules/archive/refs/tags/cmake_modules-%{cmodver}.tar.gz

Patch:          %{name}-tbb.patch
Patch:          %{name}-includes.patch

BuildRequires:  cmake >= 3.23.1
BuildRequires:  gcc-c++
BuildRequires:  cppunit-devel

BuildRequires:  cmake(ArrasCore) = 4.10.3.0
BuildRequires:  cmake(McrtDataio) = 14.22.0.0
BuildRequires:  cmake(McrtMessages) = 13.6.0.0
BuildRequires:  cmake(Moonray) = 16.36.0.0
BuildRequires:  cmake(SceneRdl2) = 14.22.0.0

Requires:       ArrasCore = 4.10.3.10
Requires:       McrtDataio = 14.22.0.0
Requires:       McrtMessages = 13.6.0.0
Requires:       Moonray = 16.36.0.0
Requires:       SceneRdl2 = 14.22.0.0
Provides:       McrtComputation = %{version}

%description
Implementation of MoonRay rendering via Arras


%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

Requires:       cmake(ArrasCore) = 4.10.3.0
Requires:       cmake(McrtDataio) = 14.22.0.0
Requires:       cmake(McrtMessages) = 13.6.0.0
Requires:       cmake(Moonray) = 16.36.0.0
Requires:       cmake(SceneRdl2) = 14.22.0.0

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup -p1 -n %{name}-%{name}-%{version}
mkdir -p cmake_modules
tar -xzf %{SOURCE1} --strip-components=1 -C $_


%build
ARRAS_SESSION_PATH=%{_libdir}/openmoonray/sessions \
%cmake \
    -DCMAKE_MODULE_PATH=%{builddir}/%{buildsubdir}/cmake_modules/cmake \
    -DBUILD_TESTING=%{expr:%{with tests}?"ON":"OFF"}
%cmake_build


%install
%cmake_install


%files
%license LICENSE
%{_libdir}/libcommon_{mcrt_logging,rec_load}.so
%{_libdir}/libcomputation_engine_mcrt.so
%{_libdir}/libcomputation_{progmcrt_dispatch,progmcrt_merge,progmcrt}.so

%files devel
%{_includedir}/%{name}
%{_libdir}/cmake/McrtComputation-%(echo %{version} | sed 's/\(.*\)\.[0-9]*$/\1/').0


%changelog
%autochangelog
